import { Injectable } from '@angular/core';
export var NgxLoremIpsumService = (function () {
    function NgxLoremIpsumService() {
        this.text = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.';
    }
    NgxLoremIpsumService.prototype.get = function (count, paragraphsCount) {
        if (paragraphsCount === void 0) { paragraphsCount = 0; }
        var sentences = this.text.repeat(Math.ceil(count / this.text.match(/\./g).length))
            .split('.').slice(0, count).map(function (s) { return s.trim() + '.'; });
        if (paragraphsCount > count) {
            return '';
        }
        else {
            return paragraphsCount != 0 ? this.getParagraphs(sentences, paragraphsCount) : sentences.join(' ');
        }
    };
    NgxLoremIpsumService.prototype.getRandom = function (min, max, paragraphsCount) {
        if (paragraphsCount === void 0) { paragraphsCount = 0; }
        return this.get(this.getRandomNumber(min, max), paragraphsCount);
    };
    NgxLoremIpsumService.prototype.getParagraphs = function (sentences, count) {
        var paragraphs = '';
        var part = Math.floor(sentences.length / count);
        var index = 0;
        while (sentences.length) {
            paragraphs += '<p>' + sentences.splice(0, index + 1 == count ? sentences.length : part).join(' ') + '</p>';
            index++;
        }
        return paragraphs;
    };
    NgxLoremIpsumService.prototype.getRandomNumber = function (min, max) {
        return Math.floor(Math.random() * (max - min + 1)) + min;
    };
    NgxLoremIpsumService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    NgxLoremIpsumService.ctorParameters = function () { return []; };
    return NgxLoremIpsumService;
}());
//# sourceMappingURL=ngx-lorem-ipsum.service.js.map